import ajax from "./ajax";


export const getUserData = async () =>
  ajax(`/user/getUser`);

export const getUserExtra = async (uid) =>
  ajax(`/user/getUserExtra`, { uid }, "GET");

export const updateUserExtra = async (params) =>
  ajax(`/user/updateUserExtra`, params, "POST");

export const updateUserLink = async (params) =>
  ajax(`/user/updateUserLink`, params, "POST");

export const updateUserAddon = async (params) =>
  ajax(`/user/updateUserAddon`, {nfc_addon:params}, "POST");
